Bug#480764: libgladeui-1-dev: error when compiling (missing file): gladeui/glade-marshallers.h

kike kike+bts at eldemonionegro.com
Sun May 11 19:24:49 UTC 2008

Package: libgladeui-1-dev
Version: 3.4.5-2
Severity: important

When compiling anjuta trunk sources I get this error:

     In file included from /usr/include/libgladeui-1.0/gladeui/glade.h:37,
     	            from plugin.h:35,
      	            from plugin.c:32:
     /usr/include/libgladeui-1.0/gladeui/glade-base-editor.h:26:39: error: gladeui/glade-marshallers.h: No existe el fichero o el directorio

I think that patch 01_includes.patch maybe is involved. It modifies glade.h.
Right now this is what debian package provides:

      user at machine$ cat /usr/include/libgladeui-1.0/gladeui/glade-base-editor.h
      #include <gladeui/glade-widget.h>
      #include <gladeui/glade-marshallers.h>
      user at machine$ dpkg -S glade-widget.h
      libgladeui-1-dev: /usr/include/libgladeui-1.0/gladeui/glade-widget.h
      user at machine$ dpkg -S glade-marshallers.h
      dpkg: no se encontró (not finded) *glade-marshallers.h*.

Patch was recently included 

      glade-3  (3.4.5-2) unstable; urgency=low

         * debian/patches/01_includes.patch:
	 + Patch by Andreas Henriksson to fix FTBFS on IA64 (Closes: #477513).

      -- Sebastian Dröge <slomo at debian.org>  Thu, 08 May 2008 12:41:08 +0200 


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libgladeui-1-dev depends on:
ii  libgladeui-1-7             3.4.5-2       GTK+ User Interface Build core lib
ii  libgtk2.0-dev              2.12.9-3      Development files for the GTK+ lib
ii  libxml2-dev                2.6.32.dfsg-2 Development files for the GNOME XM

libgladeui-1-dev recommends no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list